## libqtgconf 0.1

=== CMakeLists.txt ===
project(libQtGConf)
cmake_minimum_required(VERSION 2.8)

# Dependencies
include(FindPkgConfig)
find_package(Qt4 REQUIRED)
pkg_check_modules(GCONF REQUIRED gconf-2.0)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)

# Sources
## QtGConf
set(QtGConf_SRCS
    gconfitem.cpp
    gconfitem-qml-wrapper.cpp
    )

set(QtGConf_MOC_HDRS
    gconfitem.h
    gconfitem-qml-wrapper.h
    )

qt4_wrap_cpp(QtGConf_MOC_SRCS ${QtGConf_MOC_HDRS})

## QtGConfQml
set(QtGConfQml_SRCS
    qml-plugin.cpp
    )

set(QtGConfQml_MOC_HDRS
    qml-plugin.h
    )

qt4_wrap_cpp(QtGConfQml_MOC_SRCS ${QtGConfQml_MOC_HDRS})

# Build
add_definitions(-DQT_NO_KEYWORDS)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/libgq-fremantle/gconf
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    ${GCONF_INCLUDE_DIRS}
    ${GOBJECT_INCLUDE_DIRS}
    )

## QtGConf
add_library(QtGConf SHARED ${QtGConf_SRCS} ${QtGConf_MOC_SRCS})

set_target_properties(QtGConf PROPERTIES
    SOVERSION 1
    VERSION 1.0.0
    )

target_link_libraries(QtGConf
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${GCONF_LDFLAGS}
    ${GOBJECT_LDFLAGS}
    )

## QtGConfQml
add_library(QtGConfQml SHARED ${QtGConfQml_SRCS} ${QtGConfQml_MOC_SRCS})

target_link_libraries(QtGConfQml
    QtGConf
    ${QT_QTDECLARATIVE_LIBRARIES}
    )

## test
add_executable(test test.cpp)
target_link_libraries(test
    QtGConf
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/gconf)
set(INCLUDE_INSTALL_DIR include/QtGConf)

## QtGConf
install(TARGETS QtGConf
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    )

install(FILES gconfitem-qml-wrapper.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    )

# FIXME: Generate from ${CMAKE_INSTALL_PREFIX}
install(FILES libqtgconf.pc
    DESTINATION lib/pkgconfig
    )

## QtGConfQml
install(TARGETS QtGConfQml
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir
    DESTINATION ${IMPORT_INSTALL_DIR}
    )

## libqtgconf 0.0~bzr27common0hedley2

=== debian/changelog ===
libqtgconf (0.0~bzr27common0hedley2) lucid; urgency=low

  * Rebuild against Qt 4.7 final.

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 30 Sep 2010 05:23:51 +0200

libqtgconf (0.0~bzr27common0hedley1) lucid; urgency=low

  * Backport to lucid.

 -- Florian Boucault <florian.boucault@canonical.com>  Fri, 10 Sep 2010 14:04:10 +0200

libqtgconf (0.0~bzr27) maverick; urgency=low

  * New snapshot release:
    - Install the qmldir file

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 02 Sep 2010 12:53:36 +0200

libqtgconf (0.0~bzr25) maverick; urgency=low

  * New snapshot release:
    - Create symbolic links from /usr/lib/qt4/imports/gconf/ to /usr/lib/
    - Generate an shlibs file

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Sep 2010 11:24:50 +0200

libqtgconf (0.0~bzr22) maverick; urgency=low

  * New snapshot release:
    - Fix the dependencies in the pc file
    - Install the actual library, not just a symbolic link to it

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 31 Aug 2010 18:45:31 +0200

libqtgconf (0.0~bzr19) maverick; urgency=low

  * New snapshot release:
    - libqtgconf-dev package including public headers and a pc file
    - removed dependency on private header gconfitem.h by introducing a
      forward declaration

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 31 Aug 2010 16:48:14 +0200

libqtgconf (0.0~bzr16) maverick; urgency=low

  * New snapshot release:
    - debian/control: set the Vcs-Bzr field to the branch in watuppa
    - remove ignored files from the source tarball

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 26 Aug 2010 15:31:41 +0200

libqtgconf (0.0~bzr13.1) maverick; urgency=low

  * Brown paper bag release:
    - debian/control: fix the Section (set to libs)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 26 Aug 2010 13:22:58 +0200

libqtgconf (0.0~bzr13) maverick; urgency=low

  * Initial Release.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 26 Aug 2010 09:39:54 +0200

=== libgq-fremantle/debian/changelog ===
libgq (0.2-2) unstable; urgency=low

  * Use qt4.6, change maintainer

 -- Ville M. Vainio <ville.ma.vainio@nokia.com>  Wed,  3 Feb 2010 15:40:53 +0200

libgq (0.2-1) unstable; urgency=low

  * First release for Fremantle

 -- Ville M. Vainio <ville.ma.vainio@nokia.com>  Mon,  1 Feb 2010 17:48:40 +0200

libgq (0.2) unstable; urgency=low

  * Build fixes.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 16 Dec 2009 15:56:05 +0200

libgq (0.1) unstable; urgency=low

  * Initial release.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 16 Dec 2009 15:54:46 +0200

=== debian/control ===
Source: libqtgconf
Section: libs
Priority: optional
Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: debhelper (>= 7), qt4-qmake, libqt4-dev (>= 4.7), libgconf2-dev
Standards-Version: 3.8.3
Vcs-Bzr: lp:~watuppa-team/watuppa/libQtGConf

Package: libqtgconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-declarative
Description: Qt binding and QML plugin for GConf - shared library
 Simple Qt binding and QML plugin for GConf, written as a thin wrapper on top
 of libgq-gconf (see http://maemo.org/packages/view/libgq-gconf0/).

Package: libqtgconf-dev
Section: libdevel
Architecture: any
Depends: libqtgconf (= ${binary:Version}), libqt4-dev (>= 4.7)
Description: Qt binding and QML plugin for GConf - development files

=== libgq-fremantle/debian/control ===
Source: libgq
Section: libs
Priority: extra
Maintainer: Ville M. Vainio <ville.ma.vainio@nokia.com> 
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, doxygen, libgconf2-dev, libglib2.0-dev

Package: libgq-gconf0
Architecture: any
Depends: ${shlibs:Depends}
Description: a Qt wrapper for GConf
 This library contains the GConfItem class, for easy
 access to GConf from Qt programs.
 .
 This package contains the shared run-time library.

Package: libgq-gconf0-dbg
Architecture: any
Depends: libgq-gconf0 (= ${source:Version})
Description: a Qt wrapper for GConf
 This library contains the GConfItem class, for easy
 access to GConf from Qt programs.
 .
 This package contains the debugging symbols.

Package: libgq-gconf-dev
Architecture: any
Depends: libgq-gconf0 (= ${source:Version}), libqt4-dev, libgconf2-dev
Description: a Qt wrapper for GConf
 This library contains the GConfItem class, for easy
 access to GConf from Qt programs.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

Makefile:
	qmake libQtGConf.pro

build: build-stamp

build-stamp: Makefile
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_auto_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build build-stamp clean install binary-indep binary-arch binary

=== libgq-fremantle/debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_DH_INSTALL_SOURCEDIR = debian/tmp

## libqtgconf 0.1

=== debian/changelog ===
libqtgconf (0.1-0ubuntu5) natty; urgency=low

  * update .symbols to fix FTBFS

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Feb 2011 17:45:18 +0100

libqtgconf (0.1-0ubuntu4) natty; urgency=low

  * drop unneeded Replaces line from control file

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Feb 2011 16:09:14 +0100

libqtgconf (0.1-0ubuntu3) natty; urgency=low

  * add libqtgconf1.symbols file

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Feb 2011 15:43:49 +0100

libqtgconf (0.1-0ubuntu2) natty; urgency=low

  * add Vcs-Bzr location to debian/control
  * update branch location in debian/copyright

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Jan 2011 14:13:00 +0100

libqtgconf (0.1-0ubuntu1) natty; urgency=low

  * Initial Release (LP: #702972)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 23 Dec 2010 19:16:19 -0800

=== debian/control ===
Source: libqtgconf
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: cdbs, debhelper (>= 7), cmake, qt4-qmake, libqt4-dev (>= 4.7), libgconf2-dev
Standards-Version: 3.9.1
Vcs-Bzr: https://bazaar.launchpad.net/~unity-2d-team/gconf-qt/natty-release

Package: libqtgconf1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-declarative
Description: Qt binding and QML plugin for GConf - shared library
 Simple Qt binding and QML plugin for GConf, written as a thin wrapper on top
 of libgq-gconf (see http://maemo.org/packages/view/libgq-gconf0/).

Package: libqtgconf-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtgconf1 (= ${binary:Version}), libqt4-dev (>= 4.7)
Description: Qt binding and QML plugin for GConf - development files
 Simple Qt binding and QML plugin for GConf, written as a thin wrapper on top
 of libgq-gconf (see http://maemo.org/packages/view/libgq-gconf0/).
 .
 This package contains the developer headers for the QT bindings for GConf

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

=== debian/watch ===
# upstream will move to sane release stragery soon,
# this will be replaced then

## libqtgconf 0.1-0ubuntu2~unity2d2

=== debian/changelog ===
libqtgconf (0.1-0ubuntu2~unity2d2) lucid; urgency=low

  * debian/source/format: change to 3.0 (native)
  * debian/control: update Vcs-Bzr link

 -- Alex Chiang <achiang@canonical.com>  Sat, 12 Feb 2011 11:26:28 -0700

libqtgconf (0.1-0ubuntu2~unity2d1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Wed, 09 Feb 2011 13:50:31 -0700

libqtgconf (0.1-0ubuntu2) UNRELEASED; urgency=low

  * add Vcs-Bzr location to debian/control
  * update branch location in debian/copyright

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 20 Jan 2011 17:11:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
 Build-Depends: cdbs, debhelper (>= 7), cmake, qt4-qmake, libqt4-dev (>= 4.7), libgconf2-dev
 Standards-Version: 3.9.1
-Vcs-Bzr: https://bazaar.launchpad.net/~unity-2d-team/gconf-qt/natty-release
+Vcs-Bzr: https://code.launchpad.net/~oem-solutions-group/unity-2d/gconf-qt
 
 Package: libqtgconf1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-declarative
+Replaces: libqtgconf
 Description: Qt binding and QML plugin for GConf - shared library
  Simple Qt binding and QML plugin for GConf, written as a thin wrapper on top
  of libgq-gconf (see http://maemo.org/packages/view/libgq-gconf0/).

## libqtgconf 0.1-0ubuntu6~bzr35

=== debian/changelog ===
libqtgconf (0.1-0ubuntu6~bzr35) natty; urgency=low

  * Auto build.

 --  <ubuntu.builder@gmail.com>  Thu, 03 Mar 2011 00:34:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
 Build-Depends: cdbs, debhelper (>= 7), cmake, qt4-qmake, libqt4-dev (>= 4.7), libgconf2-dev
 Standards-Version: 3.9.1
-Vcs-Bzr: https://code.launchpad.net/~oem-solutions-group/unity-2d/gconf-qt
+Vcs-Bzr: https://bazaar.launchpad.net/~unity-2d-team/gconf-qt/trunk
 
 Package: libqtgconf1
 Architecture: any
